/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2007 JP.Tessier - jean-philippe.tessier@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.controls.tech;

import java.io.File;
import java.io.IOException;

import org.apache.log4j.Logger;
import org.xml.sax.SAXException;

import fr.gouv.finances.cp.xemelios.controls.models.ControlModelTech;
import fr.gouv.finances.cp.xemelios.controls.models.ParamModelTech;
import fr.gouv.finances.cp.xemelios.utils.FileUtils;

public class TECH02 {
	private String inputFileEncoding="";
	private final static Logger logger = Logger.getLogger(TECH02.class);
	
	public boolean encodingValid(ControlModelTech cmt,File fichierAController){
		logger.info("In TECH02");
		boolean encodingValid=false;
		try {
			inputFileEncoding = FileUtils.getFileEncoding(fichierAController);
		} catch (IOException e1) {
			e1.printStackTrace();
		}
		for(ParamModelTech pmt:cmt.getParams()){
			String e = pmt.value;
			if(e.matches(inputFileEncoding) && encodingValid==false)encodingValid=true;
		}
		return encodingValid;
	}
	
	public String getInputEncoding(){
		return inputFileEncoding;		
	}
}
